# Uses of Interface
org.apache.avro.generic.GenericFixed

Packages that use GenericFixed
Package
Description
org.apache.avro
Avro kernel classes.
org.apache.avro.generic
A generic representation for Avro data.
org.apache.avro.specific
Generate specific Java classes for schemas and protocols.

## Uses of GenericFixed in org.apache.avro

Methods in org.apache.avro that return GenericFixed
Modifier and Type
Method
Description
`GenericFixed`
Conversion.`toFixed(T value, Schema schema, LogicalType type)`
`GenericFixed`
Conversions.DecimalConversion.`toFixed(BigDecimal value, Schema schema, LogicalType type)`
`GenericFixed`
Conversions.DurationConversion.`toFixed(TimePeriod value, Schema schema, LogicalType type)`
`GenericFixed`
Conversions.UUIDConversion.`toFixed(UUID value, Schema schema, LogicalType type)`
Methods in org.apache.avro with parameters of type GenericFixed
Modifier and Type
Method
Description
`T`
Conversion.`fromFixed(GenericFixed value, Schema schema, LogicalType type)`
`BigDecimal`
Conversions.DecimalConversion.`fromFixed(GenericFixed value, Schema schema, LogicalType type)`
`TimePeriod`
Conversions.DurationConversion.`fromFixed(GenericFixed value, Schema schema, LogicalType type)`
`UUID`
Conversions.UUIDConversion.`fromFixed(GenericFixed value, Schema schema, LogicalType type)`

## Uses of GenericFixed in org.apache.avro.generic

Classes in org.apache.avro.generic that implement GenericFixed
Modifier and Type
Class
Description
`static class`
`GenericData.Fixed`
Default implementation of `GenericFixed`.

## Uses of GenericFixed in org.apache.avro.specific

Classes in org.apache.avro.specific that implement GenericFixed
Modifier and Type
Class
Description
`class`
`SpecificFixed`
Base class for generated fixed-sized data classes.